1289715Sglebius# Makefile.in generated by automake 1.15 from Makefile.am.
2289715Sglebius# @configure_input@
3289715Sglebius
4289715Sglebius# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5289715Sglebius
6289715Sglebius# This Makefile.in is free software; the Free Software Foundation
7289715Sglebius# gives unlimited permission to copy and/or distribute it,
8289715Sglebius# with or without modifications, as long as this notice is preserved.
9289715Sglebius
10289715Sglebius# This program is distributed in the hope that it will be useful,
11289715Sglebius# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12289715Sglebius# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13289715Sglebius# PARTICULAR PURPOSE.
14289715Sglebius
15289715Sglebius@SET_MAKE@
16289715Sglebius
17289715SglebiusVPATH = @srcdir@
18289715Sglebiusam__is_gnu_make = { \
19289715Sglebius  if test -z '$(MAKELEVEL)'; then \
20289715Sglebius    false; \
21289715Sglebius  elif test -n '$(MAKE_HOST)'; then \
22289715Sglebius    true; \
23289715Sglebius  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24289715Sglebius    true; \
25289715Sglebius  else \
26289715Sglebius    false; \
27289715Sglebius  fi; \
28289715Sglebius}
29289715Sglebiusam__make_running_with_option = \
30289715Sglebius  case $${target_option-} in \
31289715Sglebius      ?) ;; \
32289715Sglebius      *) echo "am__make_running_with_option: internal error: invalid" \
33289715Sglebius              "target option '$${target_option-}' specified" >&2; \
34289715Sglebius         exit 1;; \
35289715Sglebius  esac; \
36289715Sglebius  has_opt=no; \
37289715Sglebius  sane_makeflags=$$MAKEFLAGS; \
38289715Sglebius  if $(am__is_gnu_make); then \
39289715Sglebius    sane_makeflags=$$MFLAGS; \
40289715Sglebius  else \
41289715Sglebius    case $$MAKEFLAGS in \
42289715Sglebius      *\\[\ \	]*) \
43289715Sglebius        bs=\\; \
44289715Sglebius        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45289715Sglebius          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46289715Sglebius    esac; \
47289715Sglebius  fi; \
48289715Sglebius  skip_next=no; \
49289715Sglebius  strip_trailopt () \
50289715Sglebius  { \
51289715Sglebius    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52289715Sglebius  }; \
53289715Sglebius  for flg in $$sane_makeflags; do \
54289715Sglebius    test $$skip_next = yes && { skip_next=no; continue; }; \
55289715Sglebius    case $$flg in \
56289715Sglebius      *=*|--*) continue;; \
57289715Sglebius        -*I) strip_trailopt 'I'; skip_next=yes;; \
58289715Sglebius      -*I?*) strip_trailopt 'I';; \
59289715Sglebius        -*O) strip_trailopt 'O'; skip_next=yes;; \
60289715Sglebius      -*O?*) strip_trailopt 'O';; \
61289715Sglebius        -*l) strip_trailopt 'l'; skip_next=yes;; \
62289715Sglebius      -*l?*) strip_trailopt 'l';; \
63289715Sglebius      -[dEDm]) skip_next=yes;; \
64289715Sglebius      -[JT]) skip_next=yes;; \
65289715Sglebius    esac; \
66289715Sglebius    case $$flg in \
67289715Sglebius      *$$target_option*) has_opt=yes; break;; \
68289715Sglebius    esac; \
69289715Sglebius  done; \
70289715Sglebius  test $$has_opt = yes
71289715Sglebiusam__make_dryrun = (target_option=n; $(am__make_running_with_option))
72289715Sglebiusam__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73289715Sglebiuspkgdatadir = $(datadir)/@PACKAGE@
74289715Sglebiuspkgincludedir = $(includedir)/@PACKAGE@
75289715Sglebiuspkglibdir = $(libdir)/@PACKAGE@
76289715Sglebiuspkglibexecdir = $(libexecdir)/@PACKAGE@
77289715Sglebiusam__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78289715Sglebiusinstall_sh_DATA = $(install_sh) -c -m 644
79289715Sglebiusinstall_sh_PROGRAM = $(install_sh) -c
80289715Sglebiusinstall_sh_SCRIPT = $(install_sh) -c
81289715SglebiusINSTALL_HEADER = $(INSTALL_DATA)
82289715Sglebiustransform = $(program_transform_name)
83289715SglebiusNORMAL_INSTALL = :
84289715SglebiusPRE_INSTALL = :
85289715SglebiusPOST_INSTALL = :
86289715SglebiusNORMAL_UNINSTALL = :
87289715SglebiusPRE_UNINSTALL = :
88289715SglebiusPOST_UNINSTALL = :
89289715Sglebiusbuild_triplet = @build@
90289715Sglebiushost_triplet = @host@
91289715Sglebiuscheck_PROGRAMS = test-ntpq$(EXEEXT) $(am__EXEEXT_1)
92289715Sglebius@NTP_CROSSCOMPILE_FALSE@am__append_1 = $(check_PROGRAMS)
93289715Sglebiussubdir = tests/ntpq
94289715SglebiusACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95289715Sglebiusam__aclocal_m4_deps = $(top_srcdir)/sntp/libopts/m4/libopts.m4 \
96289715Sglebius	$(top_srcdir)/sntp/libopts/m4/stdnoreturn.m4 \
97289715Sglebius	$(top_srcdir)/sntp/m4/ax_c99_struct_init.m4 \
98289715Sglebius	$(top_srcdir)/sntp/m4/define_dir.m4 \
99289715Sglebius	$(top_srcdir)/sntp/m4/hms_search_lib.m4 \
100289715Sglebius	$(top_srcdir)/sntp/m4/libtool.m4 \
101289715Sglebius	$(top_srcdir)/sntp/m4/ltoptions.m4 \
102289715Sglebius	$(top_srcdir)/sntp/m4/ltsugar.m4 \
103289715Sglebius	$(top_srcdir)/sntp/m4/ltversion.m4 \
104289715Sglebius	$(top_srcdir)/sntp/m4/lt~obsolete.m4 \
105289715Sglebius	$(top_srcdir)/sntp/m4/ntp_cacheversion.m4 \
106289715Sglebius	$(top_srcdir)/sntp/m4/ntp_compiler.m4 \
107289715Sglebius	$(top_srcdir)/sntp/m4/ntp_crosscompile.m4 \
108289715Sglebius	$(top_srcdir)/sntp/m4/ntp_crypto_rand.m4 \
109289715Sglebius	$(top_srcdir)/sntp/m4/ntp_debug.m4 \
110289715Sglebius	$(top_srcdir)/sntp/m4/ntp_dir_sep.m4 \
111289715Sglebius	$(top_srcdir)/sntp/m4/ntp_facilitynames.m4 \
112289715Sglebius	$(top_srcdir)/sntp/m4/ntp_googletest.m4 \
113289715Sglebius	$(top_srcdir)/sntp/m4/ntp_ipv6.m4 \
114289715Sglebius	$(top_srcdir)/sntp/m4/ntp_lib_m.m4 \
115289715Sglebius	$(top_srcdir)/sntp/m4/ntp_libevent.m4 \
116289715Sglebius	$(top_srcdir)/sntp/m4/ntp_libntp.m4 \
117289715Sglebius	$(top_srcdir)/sntp/m4/ntp_lineeditlibs.m4 \
118289715Sglebius	$(top_srcdir)/sntp/m4/ntp_locinfo.m4 \
119289715Sglebius	$(top_srcdir)/sntp/m4/ntp_openssl.m4 \
120289715Sglebius	$(top_srcdir)/sntp/m4/ntp_pkg_config.m4 \
121289715Sglebius	$(top_srcdir)/sntp/m4/ntp_problemtests.m4 \
122289715Sglebius	$(top_srcdir)/sntp/m4/ntp_prog_cc.m4 \
123289715Sglebius	$(top_srcdir)/sntp/m4/ntp_rlimit.m4 \
124289715Sglebius	$(top_srcdir)/sntp/m4/ntp_sntp.m4 \
125289715Sglebius	$(top_srcdir)/sntp/m4/ntp_unitytest.m4 \
126289715Sglebius	$(top_srcdir)/sntp/m4/ntp_ver_suffix.m4 \
127289715Sglebius	$(top_srcdir)/sntp/m4/ntp_vpathhack.m4 \
128289715Sglebius	$(top_srcdir)/sntp/m4/openldap-thread-check.m4 \
129289715Sglebius	$(top_srcdir)/sntp/m4/openldap.m4 \
130289715Sglebius	$(top_srcdir)/sntp/m4/os_cflags.m4 \
131289715Sglebius	$(top_srcdir)/sntp/m4/snprintf.m4 \
132289715Sglebius	$(top_srcdir)/sntp/m4/version.m4 $(top_srcdir)/configure.ac
133289715Sglebiusam__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
134289715Sglebius	$(ACLOCAL_M4)
135289715SglebiusDIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
136289715Sglebius	$(am__DIST_COMMON)
137289715Sglebiusmkinstalldirs = $(install_sh) -d
138289715SglebiusCONFIG_HEADER = $(top_builddir)/config.h
139289715SglebiusCONFIG_CLEAN_FILES =
140289715SglebiusCONFIG_CLEAN_VPATH_FILES =
141289715Sglebiusam__EXEEXT_1 =
142289715Sglebiusam__objects_1 =
143289715Sglebiusam_test_ntpq_OBJECTS = t-ntpq.$(OBJEXT) run-t-ntpq.$(OBJEXT) \
144289715Sglebius	$(am__objects_1)
145289715Sglebiustest_ntpq_OBJECTS = $(am_test_ntpq_OBJECTS)
146289715Sglebiusam__DEPENDENCIES_1 =
147289715Sglebiusam__DEPENDENCIES_2 = $(top_builddir)/ntpq/libntpq.a \
148289715Sglebius	$(top_builddir)/ntpd/libntpd.a $(top_builddir)/libntp/libntp.a \
149289715Sglebius	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
150289715Sglebius	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
151289715Sglebiusam__DEPENDENCIES_3 = $(am__DEPENDENCIES_2) \
152289715Sglebius	$(top_builddir)/sntp/unity/libunity.a $(am__DEPENDENCIES_1) \
153289715Sglebius	$(am__DEPENDENCIES_1)
154289715Sglebiustest_ntpq_DEPENDENCIES = $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_1)
155289715SglebiusAM_V_lt = $(am__v_lt_@AM_V@)
156289715Sglebiusam__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
157289715Sglebiusam__v_lt_0 = --silent
158289715Sglebiusam__v_lt_1 = 
159289715SglebiusAM_V_P = $(am__v_P_@AM_V@)
160289715Sglebiusam__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
161289715Sglebiusam__v_P_0 = false
162289715Sglebiusam__v_P_1 = :
163289715SglebiusAM_V_GEN = $(am__v_GEN_@AM_V@)
164289715Sglebiusam__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
165289715Sglebiusam__v_GEN_0 = @echo "  GEN     " $@;
166289715Sglebiusam__v_GEN_1 = 
167289715SglebiusAM_V_at = $(am__v_at_@AM_V@)
168289715Sglebiusam__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
169289715Sglebiusam__v_at_0 = @
170289715Sglebiusam__v_at_1 = 
171289715SglebiusDEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
172289715Sglebiusdepcomp = $(SHELL) $(top_srcdir)/sntp/libevent/build-aux/depcomp
173289715Sglebiusam__depfiles_maybe = depfiles
174289715Sglebiusam__mv = mv -f
175289715SglebiusCOMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
176289715Sglebius	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
177289715SglebiusLTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
178289715Sglebius	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
179289715Sglebius	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
180289715Sglebius	$(AM_CFLAGS) $(CFLAGS)
181289715SglebiusAM_V_CC = $(am__v_CC_@AM_V@)
182289715Sglebiusam__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
183289715Sglebiusam__v_CC_0 = @echo "  CC      " $@;
184289715Sglebiusam__v_CC_1 = 
185289715SglebiusCCLD = $(CC)
186289715SglebiusLINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
187289715Sglebius	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
188289715Sglebius	$(AM_LDFLAGS) $(LDFLAGS) -o $@
189289715SglebiusAM_V_CCLD = $(am__v_CCLD_@AM_V@)
190289715Sglebiusam__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
191289715Sglebiusam__v_CCLD_0 = @echo "  CCLD    " $@;
192289715Sglebiusam__v_CCLD_1 = 
193289715SglebiusSOURCES = $(test_ntpq_SOURCES)
194289715SglebiusDIST_SOURCES = $(test_ntpq_SOURCES)
195289715Sglebiusam__can_run_installinfo = \
196289715Sglebius  case $$AM_UPDATE_INFO_DIR in \
197289715Sglebius    n|no|NO) false;; \
198289715Sglebius    *) (install-info --version) >/dev/null 2>&1;; \
199289715Sglebius  esac
200289715SglebiusHEADERS = $(noinst_HEADERS)
201289715Sglebiusam__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
202289715Sglebius# Read a list of newline-separated strings from the standard input,
203289715Sglebius# and print each of them once, without duplicates.  Input order is
204289715Sglebius# *not* preserved.
205289715Sglebiusam__uniquify_input = $(AWK) '\
206289715Sglebius  BEGIN { nonempty = 0; } \
207289715Sglebius  { items[$$0] = 1; nonempty = 1; } \
208289715Sglebius  END { if (nonempty) { for (i in items) print i; }; } \
209289715Sglebius'
210289715Sglebius# Make sure the list of sources is unique.  This is necessary because,
211289715Sglebius# e.g., the same source file might be shared among _SOURCES variables
212289715Sglebius# for different programs/libraries.
213289715Sglebiusam__define_uniq_tagged_files = \
214289715Sglebius  list='$(am__tagged_files)'; \
215289715Sglebius  unique=`for i in $$list; do \
216289715Sglebius    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
217289715Sglebius  done | $(am__uniquify_input)`
218289715SglebiusETAGS = etags
219289715SglebiusCTAGS = ctags
220289715Sglebiusam__tty_colors_dummy = \
221289715Sglebius  mgn= red= grn= lgn= blu= brg= std=; \
222289715Sglebius  am__color_tests=no
223289715Sglebiusam__tty_colors = { \
224289715Sglebius  $(am__tty_colors_dummy); \
225289715Sglebius  if test "X$(AM_COLOR_TESTS)" = Xno; then \
226289715Sglebius    am__color_tests=no; \
227289715Sglebius  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
228289715Sglebius    am__color_tests=yes; \
229289715Sglebius  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
230289715Sglebius    am__color_tests=yes; \
231289715Sglebius  fi; \
232289715Sglebius  if test $$am__color_tests = yes; then \
233289715Sglebius    red='[0;31m'; \
234289715Sglebius    grn='[0;32m'; \
235289715Sglebius    lgn='[1;32m'; \
236289715Sglebius    blu='[1;34m'; \
237289715Sglebius    mgn='[0;35m'; \
238289715Sglebius    brg='[1m'; \
239289715Sglebius    std='[m'; \
240289715Sglebius  fi; \
241289715Sglebius}
242289715Sglebiusam__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
243289715Sglebiusam__vpath_adj = case $$p in \
244289715Sglebius    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
245289715Sglebius    *) f=$$p;; \
246289715Sglebius  esac;
247289715Sglebiusam__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
248289715Sglebiusam__install_max = 40
249289715Sglebiusam__nobase_strip_setup = \
250289715Sglebius  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
251289715Sglebiusam__nobase_strip = \
252289715Sglebius  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
253289715Sglebiusam__nobase_list = $(am__nobase_strip_setup); \
254289715Sglebius  for p in $$list; do echo "$$p $$p"; done | \
255289715Sglebius  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
256289715Sglebius  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
257289715Sglebius    if (++n[$$2] == $(am__install_max)) \
258289715Sglebius      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
259289715Sglebius    END { for (dir in files) print dir, files[dir] }'
260289715Sglebiusam__base_list = \
261289715Sglebius  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
262289715Sglebius  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
263289715Sglebiusam__uninstall_files_from_dir = { \
264289715Sglebius  test -z "$$files" \
265289715Sglebius    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
266289715Sglebius    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
267289715Sglebius         $(am__cd) "$$dir" && rm -f $$files; }; \
268289715Sglebius  }
269289715Sglebiusam__recheck_rx = ^[ 	]*:recheck:[ 	]*
270289715Sglebiusam__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
271289715Sglebiusam__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
272289715Sglebius# A command that, given a newline-separated list of test names on the
273289715Sglebius# standard input, print the name of the tests that are to be re-run
274289715Sglebius# upon "make recheck".
275289715Sglebiusam__list_recheck_tests = $(AWK) '{ \
276289715Sglebius  recheck = 1; \
277289715Sglebius  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
278289715Sglebius    { \
279289715Sglebius      if (rc < 0) \
280289715Sglebius        { \
281289715Sglebius          if ((getline line2 < ($$0 ".log")) < 0) \
282289715Sglebius	    recheck = 0; \
283289715Sglebius          break; \
284289715Sglebius        } \
285289715Sglebius      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
286289715Sglebius        { \
287289715Sglebius          recheck = 0; \
288289715Sglebius          break; \
289289715Sglebius        } \
290289715Sglebius      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
291289715Sglebius        { \
292289715Sglebius          break; \
293289715Sglebius        } \
294289715Sglebius    }; \
295289715Sglebius  if (recheck) \
296289715Sglebius    print $$0; \
297289715Sglebius  close ($$0 ".trs"); \
298289715Sglebius  close ($$0 ".log"); \
299289715Sglebius}'
300289715Sglebius# A command that, given a newline-separated list of test names on the
301289715Sglebius# standard input, create the global log from their .trs and .log files.
302289715Sglebiusam__create_global_log = $(AWK) ' \
303289715Sglebiusfunction fatal(msg) \
304289715Sglebius{ \
305289715Sglebius  print "fatal: making $@: " msg | "cat >&2"; \
306289715Sglebius  exit 1; \
307289715Sglebius} \
308289715Sglebiusfunction rst_section(header) \
309289715Sglebius{ \
310289715Sglebius  print header; \
311289715Sglebius  len = length(header); \
312289715Sglebius  for (i = 1; i <= len; i = i + 1) \
313289715Sglebius    printf "="; \
314289715Sglebius  printf "\n\n"; \
315289715Sglebius} \
316289715Sglebius{ \
317289715Sglebius  copy_in_global_log = 1; \
318289715Sglebius  global_test_result = "RUN"; \
319289715Sglebius  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
320289715Sglebius    { \
321289715Sglebius      if (rc < 0) \
322289715Sglebius         fatal("failed to read from " $$0 ".trs"); \
323289715Sglebius      if (line ~ /$(am__global_test_result_rx)/) \
324289715Sglebius        { \
325289715Sglebius          sub("$(am__global_test_result_rx)", "", line); \
326289715Sglebius          sub("[ 	]*$$", "", line); \
327289715Sglebius          global_test_result = line; \
328289715Sglebius        } \
329289715Sglebius      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
330289715Sglebius        copy_in_global_log = 0; \
331289715Sglebius    }; \
332289715Sglebius  if (copy_in_global_log) \
333289715Sglebius    { \
334289715Sglebius      rst_section(global_test_result ": " $$0); \
335289715Sglebius      while ((rc = (getline line < ($$0 ".log"))) != 0) \
336289715Sglebius      { \
337289715Sglebius        if (rc < 0) \
338289715Sglebius          fatal("failed to read from " $$0 ".log"); \
339289715Sglebius        print line; \
340289715Sglebius      }; \
341289715Sglebius      printf "\n"; \
342289715Sglebius    }; \
343289715Sglebius  close ($$0 ".trs"); \
344289715Sglebius  close ($$0 ".log"); \
345289715Sglebius}'
346289715Sglebius# Restructured Text title.
347289715Sglebiusam__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
348289715Sglebius# Solaris 10 'make', and several other traditional 'make' implementations,
349289715Sglebius# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
350289715Sglebius# by disabling -e (using the XSI extension "set +e") if it's set.
351289715Sglebiusam__sh_e_setup = case $$- in *e*) set +e;; esac
352289715Sglebius# Default flags passed to test drivers.
353289715Sglebiusam__common_driver_flags = \
354289715Sglebius  --color-tests "$$am__color_tests" \
355289715Sglebius  --enable-hard-errors "$$am__enable_hard_errors" \
356289715Sglebius  --expect-failure "$$am__expect_failure"
357289715Sglebius# To be inserted before the command running the test.  Creates the
358289715Sglebius# directory for the log if needed.  Stores in $dir the directory
359289715Sglebius# containing $f, in $tst the test, in $log the log.  Executes the
360289715Sglebius# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
361289715Sglebius# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
362289715Sglebius# will run the test scripts (or their associated LOG_COMPILER, if
363289715Sglebius# thy have one).
364289715Sglebiusam__check_pre = \
365289715Sglebius$(am__sh_e_setup);					\
366289715Sglebius$(am__vpath_adj_setup) $(am__vpath_adj)			\
367289715Sglebius$(am__tty_colors);					\
368289715Sglebiussrcdir=$(srcdir); export srcdir;			\
369289715Sglebiuscase "$@" in						\
370289715Sglebius  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
371289715Sglebius    *) am__odir=.;; 					\
372289715Sglebiusesac;							\
373289715Sglebiustest "x$$am__odir" = x"." || test -d "$$am__odir" 	\
374289715Sglebius  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
375289715Sglebiusif test -f "./$$f"; then dir=./;			\
376289715Sglebiuselif test -f "$$f"; then dir=;				\
377289715Sglebiuselse dir="$(srcdir)/"; fi;				\
378289715Sglebiustst=$$dir$$f; log='$@'; 				\
379289715Sglebiusif test -n '$(DISABLE_HARD_ERRORS)'; then		\
380289715Sglebius  am__enable_hard_errors=no; 				\
381289715Sglebiuselse							\
382289715Sglebius  am__enable_hard_errors=yes; 				\
383289715Sglebiusfi; 							\
384289715Sglebiuscase " $(XFAIL_TESTS) " in				\
385289715Sglebius  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
386289715Sglebius    am__expect_failure=yes;;				\
387289715Sglebius  *)							\
388289715Sglebius    am__expect_failure=no;;				\
389289715Sglebiusesac; 							\
390289715Sglebius$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
391289715Sglebius# A shell command to get the names of the tests scripts with any registered
392289715Sglebius# extension removed (i.e., equivalently, the names of the test logs, with
393289715Sglebius# the '.log' extension removed).  The result is saved in the shell variable
394289715Sglebius# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
395289715Sglebius# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
396289715Sglebius# since that might cause problem with VPATH rewrites for suffix-less tests.
397289715Sglebius# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
398289715Sglebiusam__set_TESTS_bases = \
399289715Sglebius  bases='$(TEST_LOGS)'; \
400289715Sglebius  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
401289715Sglebius  bases=`echo $$bases`
402289715SglebiusRECHECK_LOGS = $(TEST_LOGS)
403289715SglebiusAM_RECURSIVE_TARGETS = check recheck
404289715SglebiusTEST_SUITE_LOG = test-suite.log
405289715SglebiusTEST_EXTENSIONS = @EXEEXT@ .test
406289715SglebiusLOG_DRIVER = $(SHELL) \
407289715Sglebius	$(top_srcdir)/sntp/libevent/build-aux/test-driver
408289715SglebiusLOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
409289715Sglebiusam__set_b = \
410289715Sglebius  case '$@' in \
411289715Sglebius    */*) \
412289715Sglebius      case '$*' in \
413289715Sglebius        */*) b='$*';; \
414289715Sglebius          *) b=`echo '$@' | sed 's/\.log$$//'`; \
415289715Sglebius       esac;; \
416289715Sglebius    *) \
417289715Sglebius      b='$*';; \
418289715Sglebius  esac
419289715Sglebiusam__test_logs1 = $(TESTS:=.log)
420289715Sglebiusam__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
421289715SglebiusTEST_LOGS = $(am__test_logs2:.test.log=.log)
422289715SglebiusTEST_LOG_DRIVER = $(SHELL) \
423289715Sglebius	$(top_srcdir)/sntp/libevent/build-aux/test-driver
424289715SglebiusTEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
425289715Sglebius	$(TEST_LOG_FLAGS)
426289715Sglebiusam__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depsver.mf \
427289715Sglebius	$(top_srcdir)/includes.mf \
428289715Sglebius	$(top_srcdir)/sntp/libevent/build-aux/depcomp \
429289715Sglebius	$(top_srcdir)/sntp/libevent/build-aux/test-driver
430289715SglebiusDISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
431289715SglebiusACLOCAL = @ACLOCAL@
432289715SglebiusALLOCA = @ALLOCA@
433289715SglebiusAMTAR = @AMTAR@
434289715SglebiusAM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
435289715SglebiusAR = @AR@
436289715SglebiusAUTOCONF = @AUTOCONF@
437289715SglebiusAUTOHEADER = @AUTOHEADER@
438289715SglebiusAUTOMAKE = @AUTOMAKE@
439289715SglebiusAWK = @AWK@
440289715SglebiusBUILD_THREAD = @BUILD_THREAD@
441289715SglebiusCALC_TICKADJ_DB = @CALC_TICKADJ_DB@
442289715SglebiusCALC_TICKADJ_DL = @CALC_TICKADJ_DL@
443289715SglebiusCALC_TICKADJ_DS = @CALC_TICKADJ_DS@
444289715SglebiusCALC_TICKADJ_MS = @CALC_TICKADJ_MS@
445289715SglebiusCALC_TICKADJ_NI = @CALC_TICKADJ_NI@
446289715SglebiusCC = @CC@
447289715SglebiusCCDEPMODE = @CCDEPMODE@
448289715SglebiusCFLAGS = @CFLAGS@
449289715SglebiusCFLAGS_LIBEVENT = @CFLAGS_LIBEVENT@
450289715SglebiusCFLAGS_NTP = @CFLAGS_NTP@
451289715SglebiusCHUTEST = @CHUTEST@
452289715SglebiusCONFIG_SHELL = @CONFIG_SHELL@
453289715SglebiusCPP = @CPP@
454289715SglebiusCPPFLAGS = @CPPFLAGS@
455289715SglebiusCPPFLAGS_LIBEVENT = @CPPFLAGS_LIBEVENT@
456289715SglebiusCPPFLAGS_NTP = @CPPFLAGS_NTP@
457289715SglebiusCXX = @CXX@
458289715SglebiusCXXCPP = @CXXCPP@
459289715SglebiusCXXDEPMODE = @CXXDEPMODE@
460289715SglebiusCXXFLAGS = @CXXFLAGS@
461289715SglebiusCYGPATH_W = @CYGPATH_W@
462289715SglebiusDCFD = @DCFD@
463289715SglebiusDEFS = @DEFS@
464289715SglebiusDEPDIR = @DEPDIR@
465289715SglebiusDLLTOOL = @DLLTOOL@
466289715SglebiusDSYMUTIL = @DSYMUTIL@
467289715SglebiusDUMPBIN = @DUMPBIN@
468289715SglebiusECHO_C = @ECHO_C@
469289715SglebiusECHO_N = @ECHO_N@
470289715SglebiusECHO_T = @ECHO_T@
471289715SglebiusEDITLINE_LIBS = @EDITLINE_LIBS@
472289715SglebiusEGREP = @EGREP@
473289715SglebiusEXEEXT = @EXEEXT@
474289715SglebiusFGREP = @FGREP@
475289715SglebiusGREP = @GREP@
476289715SglebiusGTEST_CONFIG = @GTEST_CONFIG@
477289715SglebiusGTEST_CPPFLAGS = @GTEST_CPPFLAGS@
478289715SglebiusGTEST_CXXFLAGS = @GTEST_CXXFLAGS@
479289715SglebiusGTEST_LDFLAGS = @GTEST_LDFLAGS@
480289715SglebiusGTEST_LIBS = @GTEST_LIBS@
481289715SglebiusHAVE_INLINE = @HAVE_INLINE@
482289715SglebiusHAVE_LEAPSMEARINTERVAL = @HAVE_LEAPSMEARINTERVAL@
483289715SglebiusHAVE_RLIMIT_MEMLOCK = @HAVE_RLIMIT_MEMLOCK@
484289715SglebiusHAVE_RLIMIT_STACK = @HAVE_RLIMIT_STACK@
485289715SglebiusINSTALL = @INSTALL@
486289715SglebiusINSTALL_DATA = @INSTALL_DATA@
487289715SglebiusINSTALL_PROGRAM = @INSTALL_PROGRAM@
488289715SglebiusINSTALL_SCRIPT = @INSTALL_SCRIPT@
489289715SglebiusINSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
490289715SglebiusLD = @LD@
491289715SglebiusLDADD_LIBEVENT = @LDADD_LIBEVENT@
492289715SglebiusLDADD_LIBNTP = @LDADD_LIBNTP@
493289715SglebiusLDADD_LIBUTIL = @LDADD_LIBUTIL@
494289715SglebiusLDADD_NLIST = @LDADD_NLIST@
495289715SglebiusLDADD_NTP = @LDADD_NTP@
496289715SglebiusLDFLAGS = @LDFLAGS@
497289715SglebiusLDFLAGS_NTP = @LDFLAGS_NTP@
498289715SglebiusLIBISC_PTHREADS_NOTHREADS = @LIBISC_PTHREADS_NOTHREADS@
499289715SglebiusLIBM = @LIBM@
500289715SglebiusLIBOBJS = @LIBOBJS@
501289715SglebiusLIBOPTS_CFLAGS = @LIBOPTS_CFLAGS@
502289715SglebiusLIBOPTS_DIR = @LIBOPTS_DIR@
503289715SglebiusLIBOPTS_LDADD = @LIBOPTS_LDADD@
504289715SglebiusLIBPARSE = @LIBPARSE@
505289715SglebiusLIBS = @LIBS@
506289715SglebiusLIBTOOL = @LIBTOOL@
507289715SglebiusLIBTOOL_DEPS = @LIBTOOL_DEPS@
508289715SglebiusLIPO = @LIPO@
509289715SglebiusLN_S = @LN_S@
510289715SglebiusLSCF = @LSCF@
511289715SglebiusLTHREAD_LIBS = @LTHREAD_LIBS@
512289715SglebiusLTLIBOBJS = @LTLIBOBJS@
513289715SglebiusMAKEINFO = @MAKEINFO@
514289715SglebiusMAKE_ADJTIMED = @MAKE_ADJTIMED@
515289715SglebiusMAKE_CHECK_LAYOUT = @MAKE_CHECK_LAYOUT@
516289715SglebiusMAKE_CHECK_Y2K = @MAKE_CHECK_Y2K@
517289715SglebiusMAKE_LIBNTPSIM = @MAKE_LIBNTPSIM@
518289715SglebiusMAKE_LIBPARSE = @MAKE_LIBPARSE@
519289715SglebiusMAKE_LIBPARSE_KERNEL = @MAKE_LIBPARSE_KERNEL@
520289715SglebiusMAKE_NTPDSIM = @MAKE_NTPDSIM@
521289715SglebiusMAKE_NTPSNMPD = @MAKE_NTPSNMPD@
522289715SglebiusMAKE_NTPTIME = @MAKE_NTPTIME@
523289715SglebiusMAKE_PARSEKMODULE = @MAKE_PARSEKMODULE@
524289715SglebiusMAKE_TICKADJ = @MAKE_TICKADJ@
525289715SglebiusMAKE_TIMETRIM = @MAKE_TIMETRIM@
526289715SglebiusMANIFEST_TOOL = @MANIFEST_TOOL@
527289715SglebiusMANTAGFMT = @MANTAGFMT@
528289715SglebiusMKDIR_P = @MKDIR_P@
529289715SglebiusNM = @NM@
530289715SglebiusNMEDIT = @NMEDIT@
531289715SglebiusNTPDATE_DB = @NTPDATE_DB@
532289715SglebiusNTPDATE_DL = @NTPDATE_DL@
533289715SglebiusNTPDATE_DS = @NTPDATE_DS@
534289715SglebiusNTPDATE_MS = @NTPDATE_MS@
535289715SglebiusNTPDATE_NI = @NTPDATE_NI@
536289715SglebiusNTPDC_DB = @NTPDC_DB@
537289715SglebiusNTPDC_DL = @NTPDC_DL@
538289715SglebiusNTPDC_DS = @NTPDC_DS@
539289715SglebiusNTPDC_MS = @NTPDC_MS@
540289715SglebiusNTPDC_NI = @NTPDC_NI@
541289715SglebiusNTPDSIM_DB = @NTPDSIM_DB@
542289715SglebiusNTPDSIM_DL = @NTPDSIM_DL@
543289715SglebiusNTPDSIM_DS = @NTPDSIM_DS@
544289715SglebiusNTPDSIM_MS = @NTPDSIM_MS@
545289715SglebiusNTPDSIM_NI = @NTPDSIM_NI@
546289715SglebiusNTPD_DB = @NTPD_DB@
547289715SglebiusNTPD_DL = @NTPD_DL@
548289715SglebiusNTPD_DS = @NTPD_DS@
549289715SglebiusNTPD_MS = @NTPD_MS@
550289715SglebiusNTPD_NI = @NTPD_NI@
551289715SglebiusNTPQ_DB = @NTPQ_DB@
552289715SglebiusNTPQ_DL = @NTPQ_DL@
553289715SglebiusNTPQ_DS = @NTPQ_DS@
554289715SglebiusNTPQ_MS = @NTPQ_MS@
555289715SglebiusNTPQ_NI = @NTPQ_NI@
556289715SglebiusNTPSNMPD_DB = @NTPSNMPD_DB@
557289715SglebiusNTPSNMPD_DL = @NTPSNMPD_DL@
558289715SglebiusNTPSNMPD_DS = @NTPSNMPD_DS@
559289715SglebiusNTPSNMPD_MS = @NTPSNMPD_MS@
560289715SglebiusNTPSNMPD_NI = @NTPSNMPD_NI@
561289715SglebiusNTPSWEEP_DB = @NTPSWEEP_DB@
562289715SglebiusNTPSWEEP_DL = @NTPSWEEP_DL@
563289715SglebiusNTPSWEEP_DS = @NTPSWEEP_DS@
564289715SglebiusNTPSWEEP_MS = @NTPSWEEP_MS@
565289715SglebiusNTPSWEEP_NI = @NTPSWEEP_NI@
566289715SglebiusNTPTIME_DB = @NTPTIME_DB@
567289715SglebiusNTPTIME_DL = @NTPTIME_DL@
568289715SglebiusNTPTIME_DS = @NTPTIME_DS@
569289715SglebiusNTPTIME_MS = @NTPTIME_MS@
570289715SglebiusNTPTIME_NI = @NTPTIME_NI@
571289715SglebiusNTPTRACE_DB = @NTPTRACE_DB@
572289715SglebiusNTPTRACE_DL = @NTPTRACE_DL@
573289715SglebiusNTPTRACE_DS = @NTPTRACE_DS@
574289715SglebiusNTPTRACE_MS = @NTPTRACE_MS@
575289715SglebiusNTPTRACE_NI = @NTPTRACE_NI@
576289715SglebiusNTP_KEYGEN_DB = @NTP_KEYGEN_DB@
577289715SglebiusNTP_KEYGEN_DL = @NTP_KEYGEN_DL@
578289715SglebiusNTP_KEYGEN_DS = @NTP_KEYGEN_DS@
579289715SglebiusNTP_KEYGEN_MS = @NTP_KEYGEN_MS@
580289715SglebiusNTP_KEYGEN_NI = @NTP_KEYGEN_NI@
581289715SglebiusNTP_KEYSDIR = @NTP_KEYSDIR@
582289715SglebiusNTP_WAIT_DB = @NTP_WAIT_DB@
583289715SglebiusNTP_WAIT_DL = @NTP_WAIT_DL@
584289715SglebiusNTP_WAIT_DS = @NTP_WAIT_DS@
585289715SglebiusNTP_WAIT_MS = @NTP_WAIT_MS@
586289715SglebiusNTP_WAIT_NI = @NTP_WAIT_NI@
587289715SglebiusOBJDUMP = @OBJDUMP@
588289715SglebiusOBJEXT = @OBJEXT@
589289715SglebiusOTOOL = @OTOOL@
590289715SglebiusOTOOL64 = @OTOOL64@
591289715SglebiusPACKAGE = @PACKAGE@
592289715SglebiusPACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
593289715SglebiusPACKAGE_NAME = @PACKAGE_NAME@
594289715SglebiusPACKAGE_STRING = @PACKAGE_STRING@
595289715SglebiusPACKAGE_TARNAME = @PACKAGE_TARNAME@
596289715SglebiusPACKAGE_URL = @PACKAGE_URL@
597289715SglebiusPACKAGE_VERSION = @PACKAGE_VERSION@
598289715SglebiusPATH_NET_SNMP_CONFIG = @PATH_NET_SNMP_CONFIG@
599289715SglebiusPATH_PERL = @PATH_PERL@
600289715SglebiusPATH_RUBY = @PATH_RUBY@
601289715SglebiusPATH_SEPARATOR = @PATH_SEPARATOR@
602289715SglebiusPATH_TEST = @PATH_TEST@
603289715SglebiusPERLLIBDIR = @PERLLIBDIR@
604289715SglebiusPKG_CONFIG = @PKG_CONFIG@
605289715SglebiusPOSIX_SHELL = @POSIX_SHELL@
606289715SglebiusPROPDELAY = @PROPDELAY@
607289715SglebiusPTHREAD_LIBS = @PTHREAD_LIBS@
608289715SglebiusRANLIB = @RANLIB@
609289715SglebiusSED = @SED@
610289715SglebiusSET_MAKE = @SET_MAKE@
611289715SglebiusSHELL = @SHELL@
612289715SglebiusSNMP_CFLAGS = @SNMP_CFLAGS@
613289715SglebiusSNMP_CPPFLAGS = @SNMP_CPPFLAGS@
614289715SglebiusSNMP_LIBS = @SNMP_LIBS@
615289715SglebiusSNTP = @SNTP@
616289715SglebiusSNTP_DB = @SNTP_DB@
617289715SglebiusSNTP_DL = @SNTP_DL@
618289715SglebiusSNTP_DS = @SNTP_DS@
619289715SglebiusSNTP_MS = @SNTP_MS@
620289715SglebiusSNTP_NI = @SNTP_NI@
621289715SglebiusSTDNORETURN_H = @STDNORETURN_H@
622289715SglebiusSTRIP = @STRIP@
623289715SglebiusTESTDCF = @TESTDCF@
624289715SglebiusTICKADJ_DB = @TICKADJ_DB@
625289715SglebiusTICKADJ_DL = @TICKADJ_DL@
626289715SglebiusTICKADJ_DS = @TICKADJ_DS@
627289715SglebiusTICKADJ_MS = @TICKADJ_MS@
628289715SglebiusTICKADJ_NI = @TICKADJ_NI@
629289715SglebiusTIMETRIM_DB = @TIMETRIM_DB@
630289715SglebiusTIMETRIM_DL = @TIMETRIM_DL@
631289715SglebiusTIMETRIM_DS = @TIMETRIM_DS@
632289715SglebiusTIMETRIM_MS = @TIMETRIM_MS@
633289715SglebiusTIMETRIM_NI = @TIMETRIM_NI@
634289715SglebiusUPDATE_LEAP_DB = @UPDATE_LEAP_DB@
635289715SglebiusUPDATE_LEAP_DL = @UPDATE_LEAP_DL@
636289715SglebiusUPDATE_LEAP_DS = @UPDATE_LEAP_DS@
637289715SglebiusUPDATE_LEAP_MS = @UPDATE_LEAP_MS@
638289715SglebiusUPDATE_LEAP_NI = @UPDATE_LEAP_NI@
639289715SglebiusVERSION = @VERSION@
640289715SglebiusVER_SUFFIX = @VER_SUFFIX@
641289715SglebiusYACC = @YACC@
642289715SglebiusYFLAGS = @YFLAGS@
643289715Sglebiusabs_builddir = @abs_builddir@
644289715Sglebiusabs_srcdir = @abs_srcdir@
645289715Sglebiusabs_top_builddir = @abs_top_builddir@
646289715Sglebiusabs_top_srcdir = @abs_top_srcdir@
647289715Sglebiusac_ct_AR = @ac_ct_AR@
648289715Sglebiusac_ct_CC = @ac_ct_CC@
649289715Sglebiusac_ct_CXX = @ac_ct_CXX@
650289715Sglebiusac_ct_DUMPBIN = @ac_ct_DUMPBIN@
651289715Sglebiusam__include = @am__include@
652289715Sglebiusam__leading_dot = @am__leading_dot@
653289715Sglebiusam__quote = @am__quote@
654289715Sglebiusam__tar = @am__tar@
655289715Sglebiusam__untar = @am__untar@
656289715Sglebiusbindir = @bindir@
657289715Sglebiusbuild = @build@
658289715Sglebiusbuild_alias = @build_alias@
659289715Sglebiusbuild_cpu = @build_cpu@
660289715Sglebiusbuild_os = @build_os@
661289715Sglebiusbuild_vendor = @build_vendor@
662289715Sglebiusbuilddir = @builddir@
663289715Sglebiusdatadir = @datadir@
664289715Sglebiusdatarootdir = @datarootdir@
665289715Sglebiusdocdir = @docdir@
666289715Sglebiusdvidir = @dvidir@
667289715Sglebiusexec_prefix = @exec_prefix@
668289715Sglebiushost = @host@
669289715Sglebiushost_alias = @host_alias@
670289715Sglebiushost_cpu = @host_cpu@
671289715Sglebiushost_os = @host_os@
672289715Sglebiushost_vendor = @host_vendor@
673289715Sglebiushtmldir = @htmldir@
674289715Sglebiusincludedir = @includedir@
675289715Sglebiusinfodir = @infodir@
676289715Sglebiusinstall_sh = @install_sh@
677289715Sglebiuslibdir = @libdir@
678289715Sglebiuslibexecdir = @libexecdir@
679289715Sglebiuslocaledir = @localedir@
680289715Sglebiuslocalstatedir = @localstatedir@
681289715Sglebiusmandir = @mandir@
682289715Sglebiusmkdir_p = @mkdir_p@
683289715Sglebiusoldincludedir = @oldincludedir@
684289715Sglebiuspdfdir = @pdfdir@
685289715Sglebiusprefix = @prefix@
686289715Sglebiusprogram_transform_name = @program_transform_name@
687289715Sglebiuspsdir = @psdir@
688289715Sglebiussbindir = @sbindir@
689289715Sglebiussharedstatedir = @sharedstatedir@
690289715Sglebiussrcdir = @srcdir@
691289715Sglebiussubdirs = @subdirs@
692289715Sglebiussysconfdir = @sysconfdir@
693289715Sglebiustarget_alias = @target_alias@
694289715Sglebiustop_build_prefix = @top_build_prefix@
695289715Sglebiustop_builddir = @top_builddir@
696289715Sglebiustop_srcdir = @top_srcdir@
697289715SglebiusNULL = 
698289715SglebiusBUILT_SOURCES = $(srcdir)/run-t-ntpq.c $(NULL) check-libntpd \
699289715Sglebius	check-libntp check-libunity .deps-ver
700289715SglebiusCLEANFILES = check-libntpd check-libntp check-libunity .deps-ver
701289715Sglebiusstd_unity_list = \
702289715Sglebius	$(top_srcdir)/sntp/unity/auto/generate_test_runner.rb	\
703289715Sglebius	$(NULL)
704289715Sglebius
705289715Sglebiusrun_unity = cd $(srcdir) && ruby ../../sntp/unity/auto/generate_test_runner.rb
706289715SglebiusLDADD = \
707289715Sglebius	$(top_builddir)/ntpq/libntpq.a	\
708289715Sglebius	$(top_builddir)/ntpd/libntpd.a	\
709289715Sglebius	$(top_builddir)/libntp/libntp.a	\
710289715Sglebius	$(LDADD_LIBNTP)			\
711289715Sglebius	$(PTHREAD_LIBS)			\
712289715Sglebius	$(LDADD_NTP)			\
713289715Sglebius	$(NULL)
714289715Sglebius
715289715Sglebiusunity_tests_LDADD = \
716289715Sglebius	$(LDADD)				\
717289715Sglebius	$(top_builddir)/sntp/unity/libunity.a	\
718289715Sglebius	$(LIBM)					\
719289715Sglebius	$(NULL)
720289715Sglebius
721289715SglebiusAM_CFLAGS = $(CFLAGS_NTP)
722289715SglebiusAM_CPPFLAGS = $(NTP_INCS) -I$(top_srcdir)/ntpq $(CPPFLAGS_NTP) \
723298770Sdelphij	-DUNITY_INCLUDE_CONFIG_H -I$(top_srcdir)/sntp/unity \
724298770Sdelphij	$(LIBOPTS_CFLAGS)
725289715SglebiusAM_LDFLAGS = $(LDFLAGS_NTP)
726289715Sglebiusnoinst_HEADERS = \
727289715Sglebius	$(NULL)
728289715Sglebius
729289715Sglebius
730289715Sglebius###
731289715Sglebiustest_ntpq_LDADD = \
732289715Sglebius	$(unity_tests_LDADD)		\
733289715Sglebius	$(NULL)
734289715Sglebius
735289715Sglebiustest_ntpq_SOURCES = \
736289715Sglebius	t-ntpq.c			\
737289715Sglebius	run-t-ntpq.c			\
738289715Sglebius	$(NULL)
739289715Sglebius
740289715SglebiusTESTS = $(am__append_1)
741289715SglebiusNTP_INCS = -I$(top_srcdir)/include -I$(top_srcdir)/lib/isc/include \
742289715Sglebius	-I$(top_srcdir)/lib/isc/$(LIBISC_PTHREADS_NOTHREADS)/include \
743289715Sglebius	-I$(top_srcdir)/lib/isc/unix/include
744289715Sglebiusall: $(BUILT_SOURCES)
745289715Sglebius	$(MAKE) $(AM_MAKEFLAGS) all-am
746289715Sglebius
747289715Sglebius.SUFFIXES:
748289715Sglebius.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
749289715Sglebius$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/depsver.mf $(top_srcdir)/includes.mf $(am__configure_deps)
750289715Sglebius	@for dep in $?; do \
751289715Sglebius	  case '$(am__configure_deps)' in \
752289715Sglebius	    *$$dep*) \
753289715Sglebius	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
754289715Sglebius	        && { if test -f $@; then exit 0; else break; fi; }; \
755289715Sglebius	      exit 1;; \
756289715Sglebius	  esac; \
757289715Sglebius	done; \
758289715Sglebius	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/ntpq/Makefile'; \
759289715Sglebius	$(am__cd) $(top_srcdir) && \
760289715Sglebius	  $(AUTOMAKE) --foreign tests/ntpq/Makefile
761289715SglebiusMakefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
762289715Sglebius	@case '$?' in \
763289715Sglebius	  *config.status*) \
764289715Sglebius	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
765289715Sglebius	  *) \
766289715Sglebius	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
767289715Sglebius	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
768289715Sglebius	esac;
769289715Sglebius$(top_srcdir)/depsver.mf $(top_srcdir)/includes.mf $(am__empty):
770289715Sglebius
771289715Sglebius$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
772289715Sglebius	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
773289715Sglebius
774289715Sglebius$(top_srcdir)/configure:  $(am__configure_deps)
775289715Sglebius	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
776289715Sglebius$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
777289715Sglebius	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
778289715Sglebius$(am__aclocal_m4_deps):
779289715Sglebius
780289715Sglebiusclean-checkPROGRAMS:
781289715Sglebius	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
782289715Sglebius	echo " rm -f" $$list; \
783289715Sglebius	rm -f $$list || exit $$?; \
784289715Sglebius	test -n "$(EXEEXT)" || exit 0; \
785289715Sglebius	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
786289715Sglebius	echo " rm -f" $$list; \
787289715Sglebius	rm -f $$list
788289715Sglebius
789289715Sglebiustest-ntpq$(EXEEXT): $(test_ntpq_OBJECTS) $(test_ntpq_DEPENDENCIES) $(EXTRA_test_ntpq_DEPENDENCIES) 
790289715Sglebius	@rm -f test-ntpq$(EXEEXT)
791289715Sglebius	$(AM_V_CCLD)$(LINK) $(test_ntpq_OBJECTS) $(test_ntpq_LDADD) $(LIBS)
792289715Sglebius
793289715Sglebiusmostlyclean-compile:
794289715Sglebius	-rm -f *.$(OBJEXT)
795289715Sglebius
796289715Sglebiusdistclean-compile:
797289715Sglebius	-rm -f *.tab.c
798289715Sglebius
799289715Sglebius@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-t-ntpq.Po@am__quote@
800289715Sglebius@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t-ntpq.Po@am__quote@
801289715Sglebius
802289715Sglebius.c.o:
803289715Sglebius@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
804289715Sglebius@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
805289715Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
806289715Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
807289715Sglebius@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
808289715Sglebius
809289715Sglebius.c.obj:
810289715Sglebius@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
811289715Sglebius@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
812289715Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
813289715Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
814289715Sglebius@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
815289715Sglebius
816289715Sglebius.c.lo:
817289715Sglebius@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
818289715Sglebius@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
819289715Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
820289715Sglebius@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
821289715Sglebius@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
822289715Sglebius
823289715Sglebiusmostlyclean-libtool:
824289715Sglebius	-rm -f *.lo
825289715Sglebius
826289715Sglebiusclean-libtool:
827289715Sglebius	-rm -rf .libs _libs
828289715Sglebius
829289715SglebiusID: $(am__tagged_files)
830289715Sglebius	$(am__define_uniq_tagged_files); mkid -fID $$unique
831289715Sglebiustags: tags-am
832289715SglebiusTAGS: tags
833289715Sglebius
834289715Sglebiustags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
835289715Sglebius	set x; \
836289715Sglebius	here=`pwd`; \
837289715Sglebius	$(am__define_uniq_tagged_files); \
838289715Sglebius	shift; \
839289715Sglebius	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
840289715Sglebius	  test -n "$$unique" || unique=$$empty_fix; \
841289715Sglebius	  if test $$# -gt 0; then \
842289715Sglebius	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
843289715Sglebius	      "$$@" $$unique; \
844289715Sglebius	  else \
845289715Sglebius	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
846289715Sglebius	      $$unique; \
847289715Sglebius	  fi; \
848289715Sglebius	fi
849289715Sglebiusctags: ctags-am
850289715Sglebius
851289715SglebiusCTAGS: ctags
852289715Sglebiusctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
853289715Sglebius	$(am__define_uniq_tagged_files); \
854289715Sglebius	test -z "$(CTAGS_ARGS)$$unique" \
855289715Sglebius	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
856289715Sglebius	     $$unique
857289715Sglebius
858289715SglebiusGTAGS:
859289715Sglebius	here=`$(am__cd) $(top_builddir) && pwd` \
860289715Sglebius	  && $(am__cd) $(top_srcdir) \
861289715Sglebius	  && gtags -i $(GTAGS_ARGS) "$$here"
862289715Sglebiuscscopelist: cscopelist-am
863289715Sglebius
864289715Sglebiuscscopelist-am: $(am__tagged_files)
865289715Sglebius	list='$(am__tagged_files)'; \
866289715Sglebius	case "$(srcdir)" in \
867289715Sglebius	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
868289715Sglebius	  *) sdir=$(subdir)/$(srcdir) ;; \
869289715Sglebius	esac; \
870289715Sglebius	for i in $$list; do \
871289715Sglebius	  if test -f "$$i"; then \
872289715Sglebius	    echo "$(subdir)/$$i"; \
873289715Sglebius	  else \
874289715Sglebius	    echo "$$sdir/$$i"; \
875289715Sglebius	  fi; \
876289715Sglebius	done >> $(top_builddir)/cscope.files
877289715Sglebius
878289715Sglebiusdistclean-tags:
879289715Sglebius	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
880289715Sglebius
881289715Sglebius# Recover from deleted '.trs' file; this should ensure that
882289715Sglebius# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
883289715Sglebius# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
884289715Sglebius# to avoid problems with "make -n".
885289715Sglebius.log.trs:
886289715Sglebius	rm -f $< $@
887289715Sglebius	$(MAKE) $(AM_MAKEFLAGS) $<
888289715Sglebius
889289715Sglebius# Leading 'am--fnord' is there to ensure the list of targets does not
890289715Sglebius# expand to empty, as could happen e.g. with make check TESTS=''.
891289715Sglebiusam--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
892289715Sglebiusam--force-recheck:
893289715Sglebius	@:
894289715Sglebius
895289715Sglebius$(TEST_SUITE_LOG): $(TEST_LOGS)
896289715Sglebius	@$(am__set_TESTS_bases); \
897289715Sglebius	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
898289715Sglebius	redo_bases=`for i in $$bases; do \
899289715Sglebius	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
900289715Sglebius	            done`; \
901289715Sglebius	if test -n "$$redo_bases"; then \
902289715Sglebius	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
903289715Sglebius	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
904289715Sglebius	  if $(am__make_dryrun); then :; else \
905289715Sglebius	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
906289715Sglebius	  fi; \
907289715Sglebius	fi; \
908289715Sglebius	if test -n "$$am__remaking_logs"; then \
909289715Sglebius	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
910289715Sglebius	       "recursion detected" >&2; \
911289715Sglebius	elif test -n "$$redo_logs"; then \
912289715Sglebius	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
913289715Sglebius	fi; \
914289715Sglebius	if $(am__make_dryrun); then :; else \
915289715Sglebius	  st=0;  \
916289715Sglebius	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
917289715Sglebius	  for i in $$redo_bases; do \
918289715Sglebius	    test -f $$i.trs && test -r $$i.trs \
919289715Sglebius	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
920289715Sglebius	    test -f $$i.log && test -r $$i.log \
921289715Sglebius	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
922289715Sglebius	  done; \
923289715Sglebius	  test $$st -eq 0 || exit 1; \
924289715Sglebius	fi
925289715Sglebius	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
926289715Sglebius	ws='[ 	]'; \
927289715Sglebius	results=`for b in $$bases; do echo $$b.trs; done`; \
928289715Sglebius	test -n "$$results" || results=/dev/null; \
929289715Sglebius	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
930289715Sglebius	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
931289715Sglebius	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
932289715Sglebius	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
933289715Sglebius	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
934289715Sglebius	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
935289715Sglebius	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
936289715Sglebius	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
937289715Sglebius	  success=true; \
938289715Sglebius	else \
939289715Sglebius	  success=false; \
940289715Sglebius	fi; \
941289715Sglebius	br='==================='; br=$$br$$br$$br$$br; \
942289715Sglebius	result_count () \
943289715Sglebius	{ \
944289715Sglebius	    if test x"$$1" = x"--maybe-color"; then \
945289715Sglebius	      maybe_colorize=yes; \
946289715Sglebius	    elif test x"$$1" = x"--no-color"; then \
947289715Sglebius	      maybe_colorize=no; \
948289715Sglebius	    else \
949289715Sglebius	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
950289715Sglebius	    fi; \
951289715Sglebius	    shift; \
952289715Sglebius	    desc=$$1 count=$$2; \
953289715Sglebius	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
954289715Sglebius	      color_start=$$3 color_end=$$std; \
955289715Sglebius	    else \
956289715Sglebius	      color_start= color_end=; \
957289715Sglebius	    fi; \
958289715Sglebius	    echo "$${color_start}# $$desc $$count$${color_end}"; \
959289715Sglebius	}; \
960289715Sglebius	create_testsuite_report () \
961289715Sglebius	{ \
962289715Sglebius	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
963289715Sglebius	  result_count $$1 "PASS: " $$pass  "$$grn"; \
964289715Sglebius	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
965289715Sglebius	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
966289715Sglebius	  result_count $$1 "FAIL: " $$fail  "$$red"; \
967289715Sglebius	  result_count $$1 "XPASS:" $$xpass "$$red"; \
968289715Sglebius	  result_count $$1 "ERROR:" $$error "$$mgn"; \
969289715Sglebius	}; \
970289715Sglebius	{								\
971289715Sglebius	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
972289715Sglebius	    $(am__rst_title);						\
973289715Sglebius	  create_testsuite_report --no-color;				\
974289715Sglebius	  echo;								\
975289715Sglebius	  echo ".. contents:: :depth: 2";				\
976289715Sglebius	  echo;								\
977289715Sglebius	  for b in $$bases; do echo $$b; done				\
978289715Sglebius	    | $(am__create_global_log);					\
979289715Sglebius	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
980289715Sglebius	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
981289715Sglebius	if $$success; then						\
982289715Sglebius	  col="$$grn";							\
983289715Sglebius	 else								\
984289715Sglebius	  col="$$red";							\
985289715Sglebius	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
986289715Sglebius	fi;								\
987289715Sglebius	echo "$${col}$$br$${std}"; 					\
988289715Sglebius	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
989289715Sglebius	echo "$${col}$$br$${std}"; 					\
990289715Sglebius	create_testsuite_report --maybe-color;				\
991289715Sglebius	echo "$$col$$br$$std";						\
992289715Sglebius	if $$success; then :; else					\
993289715Sglebius	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
994289715Sglebius	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
995289715Sglebius	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
996289715Sglebius	  fi;								\
997289715Sglebius	  echo "$$col$$br$$std";					\
998289715Sglebius	fi;								\
999289715Sglebius	$$success || exit 1
1000289715Sglebius
1001289715Sglebiuscheck-TESTS:
1002289715Sglebius	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1003289715Sglebius	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1004289715Sglebius	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1005289715Sglebius	@set +e; $(am__set_TESTS_bases); \
1006289715Sglebius	log_list=`for i in $$bases; do echo $$i.log; done`; \
1007289715Sglebius	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1008289715Sglebius	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1009289715Sglebius	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1010289715Sglebius	exit $$?;
1011289715Sglebiusrecheck: all $(check_PROGRAMS)
1012289715Sglebius	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1013289715Sglebius	@set +e; $(am__set_TESTS_bases); \
1014289715Sglebius	bases=`for i in $$bases; do echo $$i; done \
1015289715Sglebius	         | $(am__list_recheck_tests)` || exit 1; \
1016289715Sglebius	log_list=`for i in $$bases; do echo $$i.log; done`; \
1017289715Sglebius	log_list=`echo $$log_list`; \
1018289715Sglebius	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1019289715Sglebius	        am__force_recheck=am--force-recheck \
1020289715Sglebius	        TEST_LOGS="$$log_list"; \
1021289715Sglebius	exit $$?
1022289715Sglebiustest-ntpq.log: test-ntpq$(EXEEXT)
1023289715Sglebius	@p='test-ntpq$(EXEEXT)'; \
1024289715Sglebius	b='test-ntpq'; \
1025289715Sglebius	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1026289715Sglebius	--log-file $$b.log --trs-file $$b.trs \
1027289715Sglebius	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1028289715Sglebius	"$$tst" $(AM_TESTS_FD_REDIRECT)
1029289715Sglebius.test.log:
1030289715Sglebius	@p='$<'; \
1031289715Sglebius	$(am__set_b); \
1032289715Sglebius	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1033289715Sglebius	--log-file $$b.log --trs-file $$b.trs \
1034289715Sglebius	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1035289715Sglebius	"$$tst" $(AM_TESTS_FD_REDIRECT)
1036289715Sglebius@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1037289715Sglebius@am__EXEEXT_TRUE@	@p='$<'; \
1038289715Sglebius@am__EXEEXT_TRUE@	$(am__set_b); \
1039289715Sglebius@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1040289715Sglebius@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1041289715Sglebius@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1042289715Sglebius@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1043289715Sglebius
1044289715Sglebiusdistdir: $(DISTFILES)
1045289715Sglebius	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1046289715Sglebius	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1047289715Sglebius	list='$(DISTFILES)'; \
1048289715Sglebius	  dist_files=`for file in $$list; do echo $$file; done | \
1049289715Sglebius	  sed -e "s|^$$srcdirstrip/||;t" \
1050289715Sglebius	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1051289715Sglebius	case $$dist_files in \
1052289715Sglebius	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1053289715Sglebius			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1054289715Sglebius			   sort -u` ;; \
1055289715Sglebius	esac; \
1056289715Sglebius	for file in $$dist_files; do \
1057289715Sglebius	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1058289715Sglebius	  if test -d $$d/$$file; then \
1059289715Sglebius	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1060289715Sglebius	    if test -d "$(distdir)/$$file"; then \
1061289715Sglebius	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1062289715Sglebius	    fi; \
1063289715Sglebius	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1064289715Sglebius	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1065289715Sglebius	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1066289715Sglebius	    fi; \
1067289715Sglebius	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1068289715Sglebius	  else \
1069289715Sglebius	    test -f "$(distdir)/$$file" \
1070289715Sglebius	    || cp -p $$d/$$file "$(distdir)/$$file" \
1071289715Sglebius	    || exit 1; \
1072289715Sglebius	  fi; \
1073289715Sglebius	done
1074289715Sglebiuscheck-am: all-am
1075289715Sglebius	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1076289715Sglebius	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1077289715Sglebiuscheck: $(BUILT_SOURCES)
1078289715Sglebius	$(MAKE) $(AM_MAKEFLAGS) check-am
1079289715Sglebiusall-am: Makefile $(HEADERS)
1080289715Sglebiusinstalldirs:
1081289715Sglebiusinstall: $(BUILT_SOURCES)
1082289715Sglebius	$(MAKE) $(AM_MAKEFLAGS) install-am
1083289715Sglebiusinstall-exec: install-exec-am
1084289715Sglebiusinstall-data: install-data-am
1085289715Sglebiusuninstall: uninstall-am
1086289715Sglebius
1087289715Sglebiusinstall-am: all-am
1088289715Sglebius	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1089289715Sglebius
1090289715Sglebiusinstallcheck: installcheck-am
1091289715Sglebiusinstall-strip:
1092289715Sglebius	if test -z '$(STRIP)'; then \
1093289715Sglebius	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1094289715Sglebius	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1095289715Sglebius	      install; \
1096289715Sglebius	else \
1097289715Sglebius	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1098289715Sglebius	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1099289715Sglebius	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1100289715Sglebius	fi
1101289715Sglebiusmostlyclean-generic:
1102289715Sglebius	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1103289715Sglebius	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1104289715Sglebius	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1105289715Sglebius
1106289715Sglebiusclean-generic:
1107289715Sglebius	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1108289715Sglebius
1109289715Sglebiusdistclean-generic:
1110289715Sglebius	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1111289715Sglebius	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1112289715Sglebius
1113289715Sglebiusmaintainer-clean-generic:
1114289715Sglebius	@echo "This command is intended for maintainers to use"
1115289715Sglebius	@echo "it deletes files that may require special tools to rebuild."
1116289715Sglebius	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1117289715Sglebiusclean: clean-am
1118289715Sglebius
1119289715Sglebiusclean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1120289715Sglebius	mostlyclean-am
1121289715Sglebius
1122289715Sglebiusdistclean: distclean-am
1123289715Sglebius	-rm -rf ./$(DEPDIR)
1124289715Sglebius	-rm -f Makefile
1125289715Sglebiusdistclean-am: clean-am distclean-compile distclean-generic \
1126289715Sglebius	distclean-tags
1127289715Sglebius
1128289715Sglebiusdvi: dvi-am
1129289715Sglebius
1130289715Sglebiusdvi-am:
1131289715Sglebius
1132289715Sglebiushtml: html-am
1133289715Sglebius
1134289715Sglebiushtml-am:
1135289715Sglebius
1136289715Sglebiusinfo: info-am
1137289715Sglebius
1138289715Sglebiusinfo-am:
1139289715Sglebius
1140289715Sglebiusinstall-data-am:
1141289715Sglebius
1142289715Sglebiusinstall-dvi: install-dvi-am
1143289715Sglebius
1144289715Sglebiusinstall-dvi-am:
1145289715Sglebius
1146289715Sglebiusinstall-exec-am:
1147289715Sglebius
1148289715Sglebiusinstall-html: install-html-am
1149289715Sglebius
1150289715Sglebiusinstall-html-am:
1151289715Sglebius
1152289715Sglebiusinstall-info: install-info-am
1153289715Sglebius
1154289715Sglebiusinstall-info-am:
1155289715Sglebius
1156289715Sglebiusinstall-man:
1157289715Sglebius
1158289715Sglebiusinstall-pdf: install-pdf-am
1159289715Sglebius
1160289715Sglebiusinstall-pdf-am:
1161289715Sglebius
1162289715Sglebiusinstall-ps: install-ps-am
1163289715Sglebius
1164289715Sglebiusinstall-ps-am:
1165289715Sglebius
1166289715Sglebiusinstallcheck-am:
1167289715Sglebius
1168289715Sglebiusmaintainer-clean: maintainer-clean-am
1169289715Sglebius	-rm -rf ./$(DEPDIR)
1170289715Sglebius	-rm -f Makefile
1171289715Sglebiusmaintainer-clean-am: distclean-am maintainer-clean-generic
1172289715Sglebius
1173289715Sglebiusmostlyclean: mostlyclean-am
1174289715Sglebius
1175289715Sglebiusmostlyclean-am: mostlyclean-compile mostlyclean-generic \
1176289715Sglebius	mostlyclean-libtool
1177289715Sglebius
1178289715Sglebiuspdf: pdf-am
1179289715Sglebius
1180289715Sglebiuspdf-am:
1181289715Sglebius
1182289715Sglebiusps: ps-am
1183289715Sglebius
1184289715Sglebiusps-am:
1185289715Sglebius
1186289715Sglebiusuninstall-am:
1187289715Sglebius
1188289715Sglebius.MAKE: all check check-am install install-am install-strip
1189289715Sglebius
1190289715Sglebius.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1191289715Sglebius	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1192289715Sglebius	ctags ctags-am distclean distclean-compile distclean-generic \
1193289715Sglebius	distclean-libtool distclean-tags distdir dvi dvi-am html \
1194289715Sglebius	html-am info info-am install install-am install-data \
1195289715Sglebius	install-data-am install-dvi install-dvi-am install-exec \
1196289715Sglebius	install-exec-am install-html install-html-am install-info \
1197289715Sglebius	install-info-am install-man install-pdf install-pdf-am \
1198289715Sglebius	install-ps install-ps-am install-strip installcheck \
1199289715Sglebius	installcheck-am installdirs maintainer-clean \
1200289715Sglebius	maintainer-clean-generic mostlyclean mostlyclean-compile \
1201289715Sglebius	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1202289715Sglebius	recheck tags tags-am uninstall uninstall-am
1203289715Sglebius
1204289715Sglebius.PRECIOUS: Makefile
1205289715Sglebius
1206289715Sglebius
1207289715Sglebius$(srcdir)/run-t-ntpq.c: $(srcdir)/t-ntpq.c $(std_unity_list)
1208289715Sglebius	$(run_unity) t-ntpq.c run-t-ntpq.c
1209289715Sglebius
1210289715Sglebiuscheck-libntpd: ../../ntpd/libntpd.a
1211289715Sglebius	@echo stamp > $@
1212289715Sglebius
1213289715Sglebius../../ntpd/libntpd.a:
1214289715Sglebius	cd ../../ntpd && $(MAKE) $(AM_MAKEFLAGS) libntpd.a
1215289715Sglebius
1216289715Sglebiuscheck-libntp: ../../libntp/libntp.a
1217289715Sglebius	@echo stamp > $@
1218289715Sglebius
1219289715Sglebius../../libntp/libntp.a:
1220289715Sglebius	cd ../../libntp && $(MAKE) $(AM_MAKEFLAGS) libntp.a
1221289715Sglebius
1222289715Sglebiuscheck-libunity: ../../sntp/unity/libunity.a
1223289715Sglebius	@echo stamp > $@
1224289715Sglebius
1225289715Sglebius../../sntp/unity/libunity.a:
1226289715Sglebius	cd ../../sntp/unity && $(MAKE) $(AM_MAKEFLAGS) libunity.a
1227289715Sglebius$(DEPDIR)/deps-ver: $(top_srcdir)/deps-ver
1228289715Sglebius	@[ -f $@ ] ||							\
1229289715Sglebius		cp $(top_srcdir)/deps-ver $@
1230289715Sglebius	@[ -w $@ ] ||							\
1231289715Sglebius		chmod ug+w $@
1232289715Sglebius	@cmp $(top_srcdir)/deps-ver $@ > /dev/null || (			\
1233289715Sglebius		$(MAKE) $(AM_MAKEFLAGS) clean &&					\
1234289715Sglebius		echo -n "Prior $(subdir)/$(DEPDIR) version " &&		\
1235289715Sglebius		cat $@ &&						\
1236289715Sglebius		rm -rf $(DEPDIR) &&					\
1237289715Sglebius		mkdir $(DEPDIR) && 					\
1238289715Sglebius		case "$(top_builddir)" in				\
1239289715Sglebius		 .)							\
1240289715Sglebius		    ./config.status Makefile depfiles			\
1241289715Sglebius		    ;;							\
1242289715Sglebius		 *)							\
1243289715Sglebius		    cd "$(top_builddir)" &&				\
1244289715Sglebius		    ./config.status $(subdir)/Makefile depfiles &&	\
1245289715Sglebius		    cd $(subdir)					\
1246289715Sglebius		    ;;							\
1247289715Sglebius		esac &&							\
1248289715Sglebius		echo -n "Cleaned $(subdir)/$(DEPDIR) version " &&	\
1249289715Sglebius		cat $(top_srcdir)/deps-ver				\
1250289715Sglebius	)
1251289715Sglebius	cp $(top_srcdir)/deps-ver $@
1252289715Sglebius
1253289715Sglebius.deps-ver: $(top_srcdir)/deps-ver
1254289715Sglebius	@[ ! -d $(DEPDIR) ] || $(MAKE) $(AM_MAKEFLAGS) $(DEPDIR)/deps-ver
1255289715Sglebius	@touch $@
1256289715Sglebius
1257289715Sglebius#
1258289715Sglebius# depsver.mf	included in Makefile.am for directories with .deps
1259289715Sglebius#
1260289715Sglebius# When building in the same directory with sources that change over
1261289715Sglebius# time, such as when tracking using bk, the .deps files can become
1262289715Sglebius# stale with respect to moved, deleted, or superceded headers.  Most
1263289715Sglebius# commonly, this would exhibit as make reporting a failure to make a
1264289715Sglebius# header file which is no longer in the location given.  To address
1265289715Sglebius# this issue, we use a deps-ver file which is updated with each change
1266289715Sglebius# that breaks old .deps files.  A copy of deps-ver is made into
1267289715Sglebius# $(DEPDIR) if not already present.  If $(DEPDIR)/deps-ver is present
1268289715Sglebius# with different contents than deps-ver, we make clean to ensure all
1269289715Sglebius# .o files built before the incompatible change are rebuilt along with
1270289715Sglebius# their updated .deps files, then remove $(DEPDIR) and recreate it as
1271289715Sglebius# empty stubs.
1272289715Sglebius#
1273289715Sglebius# It is normal when configured with --disable-dependency-tracking for
1274289715Sglebius# the DEPDIR to not have been created.  For this reason, we use the
1275289715Sglebius# intermediate target .deps-ver, which invokes make recursively if
1276289715Sglebius# DEPDIR exists.
1277289715Sglebius#
1278289715Sglebius# If you modify depsver.mf, please make the changes to the master
1279289715Sglebius# copy, the one in sntp is copied by the bootstrap script from it.
1280289715Sglebius#
1281289715Sglebius# This comment block follows rather than leads the related code so that
1282289715Sglebius# it stays with it in the generated Makefile.in and Makefile.
1283289715Sglebius#
1284289715Sglebius
1285289715Sglebius# Tell versions [3.59,3.63) of GNU make to not export all variables.
1286289715Sglebius# Otherwise a system limit (for SysV at least) may be exceeded.
1287289715Sglebius.NOEXPORT:
1288